Owncloud update

Hello Getting this error when updating owncloud

 Task completed with errors
Applying changes #2 (exit status 1)

[YumRPMCheckError] [u’ERROR with rpm_check_debug vs depsolve:’, ‘owncloud = 7.0.6 is needed by (installed) owncloud-3rdparty-7.0.6-2.2.noarch’, u’Please report this error at http://dev.nethserver.org/projects/nethserver’]

Anybody a idee how to fix this ?

Hi show pls :
rpm -qa | grep owncloud

That’s really strange, it seems a repository problem.
Can you try this?

yum search owncloud

i suppose that owncloud-3rdparty-7.0.6-2.2.noarch is not installed, or maybe is about Testing repo if it enabled.

show pls

yum repolist

I get this:

[root@linux-server ~]# rpm -qa | grep owncloud
nethserver-owncloud-1.1.4-1.ns6.noarch
owncloud-7.0.6-2.2.noarch
owncloud-3rdparty-7.0.6-2.2.noarch
[root@linux-server ~]#

I get this:

[root@linux-server ~]# yum search owncloud
Loaded plugins: changelog, fastestmirror, nethserver_events, presto
Loading mirror speeds from cached hostfile

  • epel: mirror.karneval.cz
  • nethserver-base: mirror.nethserver.org
  • nethserver-updates: mirror.nethserver.org
    http://vault.centos.org/6/os/x86_64/repodata/repomd.xml: [Errno 14] PYCURL ERROR 22 - "The requested URL returned error: 404 Not Found"
    Trying other mirror.
    epel/pkgtags | 1.6 MB 00:05
    ======================================== N/S Matched: owncloud ========================================
    nethserver-owncloud.noarch : NethServer Owncloud configuration
    owncloud.noarch : The ownCloud Server - Private file sync and share server
    owncloud-3rdparty.noarch : 3rdparty libraries for ownCloud
    owncloud-httpd.noarch : Httpd integration for ownCloud
    owncloud-mysql.noarch : MySQL database support for ownCloud
    owncloud-nginx.noarch : Nginx integration for ownCloud
    owncloud-postgresql.noarch : PostgreSQL database support for ownCloud
    owncloud-sqlite.noarch : SQLite 3 database support for ownCloud

Name and summary matches only, use “search all” for everything.
[root@linux-server ~]#

i get this:

[root@linux-server yum.repos.d]# yum repolist
Loaded plugins: changelog, fastestmirror, nethserver_events, presto
Determining fastest mirrors
epel/metalink | 22 kB 00:00

  • epel: mirror.23media.de
  • nethserver-base: nethserver.antani.co
  • nethserver-updates: nethserver.antani.co
    centos-base | 3.7 kB 00:00
    centos-base/primary_db | 4.6 MB 00:00
    centos-updates | 3.4 kB 00:00
    centos-updates/primary_db | 4.4 MB 00:00
    epel | 4.4 kB 00:00
    epel/primary_db | 6.7 MB 00:00
    nethserver-base | 3.6 kB 00:00
    nethserver-base/primary_db | 376 kB 00:00
    nethserver-updates | 4.1 kB 00:00
    nethserver-updates/primary_db | 366 kB 00:00
    repo id repo name status
    centos-base CentOS-6 Base 6518
    centos-updates CentOS-6 Updates 1370
    epel Extra Packages for Enterprise Linux 6 - x86_64 11753
    nethserver-base NethServer 6.6 base 327
    nethserver-updates NethServer 6.6 updates 273
    repolist: 20241
    [root@linux-server yum.repos.d]#

pls disable repo EPEL and try to install

Hello,
When i disable EPEL. I do not get the message for update anymore.
Is there a newer Owncloud in the EPEL repo ?

Ns should update from nethserver repo not from EPEL , and yes there are lot of difference in package versions.

This is the last version of owncloud on NethServer repo. Next weeks we will work for update it but right now it’s OK. Don’t upgrade to epel versions I don’t know what can happen.

I don’t know if the 7.0.8 update has the correct addressbook file in it for php 5.3, but I’ve successfully updated a couple of repaired 7.0.7 oC installs 7.0.8 on ubuntu.

We should test it, please give us some time…

Take all you want, I’m in no hurry. :slight_smile:

QA is ready